# autogenerated by /home/rlauer/bin/make-cpan-dist.pl on Fri Apr 25 13:16:01 2025

use strict;
use warnings;

use ExtUtils::MakeMaker;
use File::ShareDir::Install;

if ( -d 'share' ) {
  install_share 'share';
}

WriteMakefile(
  NAME             => 'CPAN::Maker',
  MIN_PERL_VERSION => '5.010',
  AUTHOR           => 'Rob Lauer <rlauer6@comcast.net>',
  VERSION_FROM     => 'lib/CPAN/Maker.pm',
  ABSTRACT         => 'CPAN distribution maker',
  LICENSE          => 'perl',
  PL_FILES         => {},
  EXE_FILES        => [ 'bin/make-cpan-dist', 'bin/make-cpan-dist.pl' ],
  PREREQ_PM        => {
    'IO::Scalar'               => '2.111',
    'JSON'                     => '0',
    'List::Util'               => '1.33',
    'Log::Log4perl'            => '0',
    'Module::ScanDeps::Static' => '0',
    'Pod::Find'                => '0',
    'ReadonlyX'                => '1.04',
    'Text::CSV_XS'             => '0',
    'YAML::Tiny'               => '0'
  },
  BUILD_REQUIRES => {
    'ExtUtils::MakeMaker'     => '6.64',
    'File::ShareDir::Install' => 0,
  },
  CONFIGURE_REQUIRES => {
    'ExtUtils::MakeMaker'     => '6.64',
    'File::ShareDir::Install' => 0,
  },
  TEST_REQUIRES => {
    'JSON'         => '0',
    'Text::CSV_XS' => '0'
  },
  META_MERGE => {
    'meta-spec' => { 'version' => 2 },
    'provides'  => {
      'CPAN::Maker' => {
        'file'    => 'lib/CPAN/Maker.pm',
        'version' => '1.5.44'
      },
      'CPAN::Maker::Constants' => {
        'file'    => 'lib/CPAN/Maker/Constants.pm',
        'version' => '1.5.44'
      },
      'CPAN::Maker::Utils' => {
        'file'    => 'lib/CPAN/Maker/Utils.pm',
        'version' => '1.5.44'
      },
      'File::Process' => {
        'file'    => 'lib/File/Process.pm',
        'version' => '0.15'
      },
      'File::Process::Utils' => {
        'file'    => 'lib/File/Process/Utils.pm',
        'version' => '0.12'
      }
    },
    'resources' => {
      'bugtracker' => { 'web' => 'http://github.com/rlauer6/make-cpan-dist/issues' },
      'homepage'   => 'http://github.com/rlauer6/make-cpan-dist',
      'repository' => {
        'type' => 'git',
        'url'  => 'git://github.com/rlauer6/make-cpan-dist.git',
        'web'  => 'http://github.com/rlauer6/make-cpan-dist'
      }
    }
  }

);

package MY;

use File::ShareDir::Install;
use English qw(-no_match_vars);

sub postamble {
  my $self = shift;

  my @ret = File::ShareDir::Install::postamble($self);

  my $postamble = join "\n", @ret;

  if ( -e 'postamble' ) {

    local $RS = undef;

    open my $fh, '<', 'postamble'
      or die "could not open postamble\n";

    $postamble .= <$fh>;

    close $fh;
  }

  return $postamble;
}

1;
